︠42fd1e0c-34a2-4b88-a6b9-d151fa7e84f7i︠
%md
### From Poirier's Bohmian Mechanics without Wavefunctions to Hall's Many Interacting Worlds ###
︡b29d8b1a-0ffd-492b-9865-7446b02a8dbf︡{"md":"### From Poirier's Bohmian Mechanics without Wavefunctions to Hall's Many Interacting Worlds ###\n"}︡
︠73a899c3-9f72-471c-9626-7eb21a725001i︠
%md
Ref:

 1. Quantum Phenomena Modeled by Interactions between Many Classical Worlds

    Michael J. W. Hall Dirk-André Deckert and Howard M. Wiseman,

    PHYSICAL REVIEW X 4, 041013 (23 October 2014)

 2. Quantum Mechanics Without Wavefunctions

    Jeremy Schiff and Bill Poirier

    [quant-ph] 11 Jan 2012

    http://arxiv.org/abs/1201.2382v1

 3. Verlet integration

    set
    ![](https://upload.wikimedia.org/math/5/6/f/56ffdd3dba84813e30ac23a5911c6d3b.png)

    for n=1,2,... iterate
    ![](https://upload.wikimedia.org/math/3/0/c/30ce9b5c0eaba99cde0d7312437fa4b5.png)

︡ed2a7f19-d8e3-455d-bf9e-a8a249143c18︡{"md":"Ref:\n\n 1. Quantum Phenomena Modeled by Interactions between Many Classical Worlds\n\n    Michael J. W. Hall Dirk-André Deckert and Howard M. Wiseman,\n\n    PHYSICAL REVIEW X 4, 041013 (23 October 2014)\n\n 2. Quantum Mechanics Without Wavefunctions\n\n    Jeremy Schiff and Bill Poirier\n\n    [quant-ph] 11 Jan 2012\n\n    http://arxiv.org/abs/1201.2382v1\n\n 3. Verlet integration\n\n    set\n    ![](https://upload.wikimedia.org/math/5/6/f/56ffdd3dba84813e30ac23a5911c6d3b.png)\n\n    for n=1,2,... iterate\n    ![](https://upload.wikimedia.org/math/3/0/c/30ce9b5c0eaba99cde0d7312437fa4b5.png)"}︡
︠5e60c792-fe7a-4f04-92f2-d498edbf6285︠
%sage
# Uncomment to use local version of FriCAS
#os.environ['PATH'] = '%s/bin:%s'%(os.environ['HOME'],os.environ['PATH'])
# Better version of FriCAS/Axiom mode for SageMathCloud
from fricas import fricas
execfile('fricas_md.py')
︡4044045c-e796-4b32-87de-e7717734c2e8︡
︠a4b82523-12a2-43dd-9790-bcd86bb3ecc4︠
%default_mode fricas_md
︡04aceed7-c5b7-4d5c-ba91-01f4ca98f7d1︡
︠bf3cc61c-4516-482b-bc95-ca0131728d05︠
)clear completely
)set output tex on
)set output algebra off
)set output mathml off
)set message type off
︡b162e317-af47-4aa0-951d-43d5558e53ed︡{"md":"   All user variables and function definitions have been cleared.\n\n   All )browse facility databases have been cleared.\n\n   Internally cached functions and constructors have been cleared.\n\n   )clear completely is finished.\n\n"}︡
︠c5b1d0c1-e4dd-420b-a032-b467dcff9b72i︠
%md
1-D

Hall's MIW quantum force eqs. (24,25)
︡7fe1b8bc-205d-494f-bdd1-6e753861f89d︡{"md":"1-D\n\nHall's MIW quantum force eqs. (24,25)\n"}︡
︠3bb0cabc-a0c0-4486-a225-73e2a47e9c17︠
sif(n)==1/(subscript('x,[n])-subscript('x,[n-1]))
sigma(n)==1/sif(n)^2*(sif(n+1)-2*sif(n)+sif(n-1))
--sigma(n)
r(n)==1/4*(sigma(n+1)-sigma(n))
--numer r(n)
--factor denom(r(n))
︡bdbaca89-bdb1-410b-895d-a8589933656e︡{"md":"\n\n"}︡
︠8da12a9d-53ab-480c-ad56-81c52c216e60︠
x := operator('x);
display(x,w+->subscript(name x,w))
C:List Symbol := [subscript('x,[0])]
d := #C
J := matrix [[D(x(C(1),t),C(1))]]
K := inverse J
︡6a754459-3325-4522-b5a8-ee3969dce7cc︡{"md":"\n\n\n\n$$\n\nx \n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n{x _{0}} \n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n1 \n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n\\begin{array}{c}\n\n{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}\n\n\\end{array}\n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n\\begin{array}{c}\n\n{1 \\over {{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}}\n\n\\end{array}\n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠ccd0b94e-a059-482d-8c3a-163c8c00c5bci︠
%md Schiff and Poirier eq. (18)
︡fc56a7ad-161e-4c5e-a162-2b55effac44b︡{"md":"Schiff and Poirier eq. (18)"}︡
︠c3c836d8-e6f8-4bad-8be9-7d1377e68808︠
Req18a:=[reduce(+,[reduce(+,[reduce(+,[reduce(+,[ _
  (1/4)*D( K(k,i)*K(m,j)*D( D( K(l,j),C(k) ),C(l) ),C(m) ) _
    for m in 1..d]) for k in 1..d]) for j in 1..d]) for l in 1..d]) for i in 1..d]
︡3fee8213-e668-438f-9c27-c8c1ecce8ed0︡{"md":"\n\n$$\n\n\\left[\n\n{{-{{{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}}\n\n^{2}} \\  {{x _{{{{{,1}{,1}}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}}+{8\n\n\\  {{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}\n\n\\  {{x _{{{,1}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}\n\n\\  {{x _{{{{,1}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}}\n\n-{{10} \\  {{{{x _{{{,1}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}}\n\n^{3}}}} \\over {4 \\  {{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)}}\n\n^{6}}}} \n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠6a463d05-8e47-4227-a905-96ca74cbeb53i︠
%md
In 1-D this is equivalent to eq. (10).

Now replace derivatives with differences
︡067f9de3-2483-4623-8897-b49db2cde88b︡{"md":"In 1-D this is equivalent to eq. (10).\n\nNow replace derivatives with differences\n"}︡
︠936f8879-2cda-4141-81ff-a4f92df48676︠
diff1(x,n)==x(n)-x(n-1)
diff1(x,n)
Req18b:=eval(Req18a,D(x(C(1),t),C(1))=diff1(x,n));
diff2(x,n)==diff1(x,n)-diff1(x,n-1)
diff2(x,n)
Req18c:=eval(Req18b,D(x(C(1),t),[C(1),C(1)])=diff2(x,n));
diff3(x,n)==diff2(x,n+1)-diff2(x,n)
diff3(x,n)
Req18d:=eval(Req18c,D(x(C(1),t),[C(1),C(1),C(1)])=diff3(x,n));
diff4(x,n)==diff3(x,n+1)-diff3(x,n)
diff4(x,n)
Req18e:=eval(Req18d,D(x(C(1),t),[C(1),C(1),C(1),C(1)])=diff4(x,n));
︡13b3dbfe-d282-4a9d-ab10-36a1f5d053b6︡{"md":"   Compiling function diff1 with type (BasicOperator,Variable(n)) -> Expression(Integer) \n\n\n\n$$\n\n{x _{n}} -{x _{{n -1}}} \n\n\n$$\n\n\n\n\n\n   Compiling function diff1 with type (BasicOperator,Polynomial(Integer)) -> Expression(Integer) \n\n   Compiling function diff2 with type (BasicOperator,Variable(n)) -> Expression(Integer) \n\n\n\n$$\n\n{x _{n}} -{2 \\  {x _{{n -1}}}}+{x _{{n -2}}} \n\n\n$$\n\n\n\n\n\n   Compiling function diff2 with type (BasicOperator,Polynomial(Integer)) -> Expression(Integer) \n\n   Compiling function diff3 with type (BasicOperator,Variable(n)) -> Expression(Integer) \n\n\n\n$$\n\n{x _{{n+1}}} -{3 \\  {x _{n}}}+{3 \\  {x _{{n -1}}}} -{x _{{n -2}}} \n\n\n$$\n\n\n\n\n\n   Compiling function diff3 with type (BasicOperator,Polynomial(Integer)) -> Expression(Integer) \n\n   Compiling function diff4 with type (BasicOperator,Variable(n)) -> Expression(Integer) \n\n\n\n$$\n\n{x _{{n+2}}} -{4 \\  {x _{{n+1}}}}+{6 \\  {x _{n}}} -{4 \\  {x _{{n -1}}}}+{x _{{n -2}}} \n\n\n$$\n\n\n\n\n\n"}︡
︠ac5f8a85-9b15-4253-bbe3-bb4effea424d︠
factor numer Req18e.1
factor denom Req18e.1
numer r(n)
factor denom r(n)
︡b0726be9-8d69-44e9-a40d-37c3cb0f0219︡{"md":"\n\n$$\n\n-{\\left( {{\\left( {{{x _{n}}} ^{2}} -{2 \\  {x _{{n -1}}} \\  {x _{n}}}+{{{x _{{n -1}}}} ^{2}} \n\n\\right)}\n\n\\  {x _{{n+2}}}}+{{\\left( -{{12} \\  {{{x _{n}}} ^{2}}}+{{\\left( {{32} \\  {x _{{n -1}}}} -{8 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {x _{n}}} -{{20} \\  {{{x _{{n -1}}}} ^{2}}}+{8 \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}}+{{40} \\  {{{x _{n}}} ^{3}}}+{{\\left( -{{172} \\  {x _{{n -1}}}}+{{63} \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {{{x _{n}}} ^{2}}}+{{\\left( {{254} \\  {{{x _{{n -1}}}} ^{2}}} -{{194} \\  {x _{{n -2}}} \\  {x _{{n -1}}}}+{{38} \\  {{{x _{{n -2}}}} ^{2}}} \n\n\\right)}\n\n\\  {x _{n}}} -{{132} \\  {{{x _{{n -1}}}} ^{3}}}+{{161} \\  {x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{2}}} -{{68} \\  {{{x _{{n -2}}}} ^{2}} \\  {x _{{n -1}}}}+{{10} \\  {{{x _{{n -2}}}} ^{3}}} \n\n\\right)}\n\n\n$$\n\n\n\n\n\n$$\n\n4 \\  {{{\\left( {x _{n}} -{x _{{n -1}}} \n\n\\right)}}\n\n^{6}} \n\n\n$$\n\n\n\n   Compiling function sif with type Polynomial(Integer) -> Fraction(Polynomial(Integer)) \n\n   Compiling function sigma with type Polynomial(Integer) -> Fraction(Polynomial(Integer)) \n\n   Compiling function sif with type Variable(n) -> Fraction(Polynomial(Integer)) \n\n   Compiling function sigma with type Variable(n) -> Fraction(Polynomial(Integer)) \n\n   Compiling function r with type Variable(n) -> Fraction(Polynomial(Integer)) \n\n\n\n$$\n\n{{\\left( -{x _{{n+2}}}+{x _{{n+1}}}+{x _{{n -1}}} -{x _{{n -2}}} \n\n\\right)}\n\n\\  {{{x _{n}}} ^{4}}}+{{\\left( {{\\left( {x _{{n+1}}}+{9 \\  {x _{{n -1}}}} -{6 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {x _{{n+2}}}} -{{{x _{{n+1}}}} ^{2}}+{{\\left( -{{12} \\  {x _{{n -1}}}}+{9 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} -{{{x _{{n -1}}}} ^{2}}+{{x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {{{x _{n}}} ^{3}}}+{{\\left( {{\\left( {{\\left( -{{12} \\  {x _{{n -1}}}}+{9 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} -{{12} \\  {{{x _{{n -1}}}} ^{2}}}+{9 \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {x _{{n+2}}}}+{{\\left( {{15} \\  {x _{{n -1}}}} -{{12} \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{2}}}+{{\\left( {{15} \\  {{{x _{{n -1}}}} ^{2}}} -{{12} \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} \n\n\\right)}\n\n\\  {{{x _{n}}} ^{2}}}+{{\\left( {{\\left( {{\\left( {5 \\  {x _{{n -1}}}} -{5 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{2}}}+{{\\left( {{11} \\  {{{x _{{n -1}}}} ^{2}}} -{8 \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}}+{6 \\  {{{x _{{n -1}}}} ^{3}}} -{5 \\  {x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{2}}} \n\n\\right)}\n\n\\  {x _{{n+2}}}}+{{\\left( -{6 \\  {x _{{n -1}}}}+{6 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{3}}}+{{\\left( -{{14} \\  {{{x _{{n -1}}}} ^{2}}}+{{11} \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{2}}}+{{\\left( -{6 \\  {{{x _{{n -1}}}} ^{3}}}+{5 \\  {x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{2}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} \n\n\\right)}\n\n\\  {x _{n}}}+{{\\left( {{\\left( -{x _{{n -1}}}+{x _{{n -2}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{3}}}+{{\\left( -{2 \\  {{{x _{{n -1}}}} ^{2}}}+{2 \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{2}}}+{{\\left( -{3 \\  {{{x _{{n -1}}}} ^{3}}}+{2 \\  {x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{2}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} -{{{x _{{n -1}}}} ^{4}}+{{x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{3}}} \n\n\\right)}\n\n\\  {x _{{n+2}}}}+{{\\left( {x _{{n -1}}} -{x _{{n -2}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{4}}}+{{\\left( {3 \\  {{{x _{{n -1}}}} ^{2}}} -{3 \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{3}}}+{{\\left( {3 \\  {{{x _{{n -1}}}} ^{3}}} -{2 \\  {x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{2}}} \n\n\\right)}\n\n\\  {{{x _{{n+1}}}} ^{2}}}+{{\\left( {{{x _{{n -1}}}} ^{4}} -{{x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{3}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} \n\n\n$$\n\n\n\n\n\n$$\n\n4 \\  {\\left( {x _{{n -1}}} -{x _{{n -2}}} \n\n\\right)}\n\n\\  {\\left( {x _{{n+2}}} -{x _{{n+1}}} \n\n\\right)}\n\n\\  {\\left( {x _{n}} -{x _{{n+1}}} \n\n\\right)}\n\n\\  {\\left( {x _{n}} -{x _{{n -1}}} \n\n\\right)}\n\n\n$$\n\n\n\n"}︡
︠6308c9d6-7793-4007-bc20-b4f86725a9aai︠
%md
2-D

1 particle moving in 2 dimensions (x,y) in many worlds, each indexed by 2 uniform parameters (n,m)
︡8265942c-604c-464e-973c-3a46a8803a90︡{"md":"2-D\n\n1 particle moving in 2 dimensions (x,y) in many worlds, each indexed by 2 uniform parameters (n,m)\n"}︡
︠e5ce94ab-7772-486b-b9b6-6c041b1c308e︠
-- 1-D test case for comparison
--vars:List Symbol := ['x]; d := 1;
--X:=[x]
--C:=[subscript('x,[0])]
--ind:List Expression Integer:=[n]
︡1da451f5-d210-4ed7-ae26-0cc9fac879d0︡{"md":"\n\n"}︡
︠3ebde380-a93d-4895-b67c-4bcbcef9dd99︠
-- 2-D
vars:List Symbol := ['x,'y]; d := #vars;
X := map(operator,vars)
-- uniformizing trajectory parameters
C:List Symbol := map(x+->subscript(x,[0]),vars)
-- world indices
ind:List Expression Integer:=[n,m]
map(x+->display(x,w+->subscript(name x,w)),X);
-- position of particle in world (n,m)
P:=map(x+->kernel(x,ind)$Expression Integer,X)
︡464f2efa-56ee-4c64-a6f6-b3b8efc3854f︡{"md":"\n\n\n\n$$\n\n\\left[\n\nx, \\: y \n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n{x _{0}}, \\: {y _{0}} \n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\nn, \\: m \n\n\\right]\n\n\n$$\n\n\n\n\n\n\n\n$$\n\n\\left[\n\n{x _{n, \\: m}}, \\: {y _{n, \\: m}} \n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠ce397e1b-8e05-4253-b1f7-52f499c64ded︠
-- Ensemble of Bohmian trajectories
E:=map(x+->x concat(C,t),X)
-- Jacobian: How trajectories change with trajectory parameters (function of initial position).
J:=matrix map(e+->map(c+->D(e,c),C),E)
K := inverse J
︡c385acdc-325b-45e8-a234-0d88a8a6fca9︡{"md":"\n\n$$\n\n\\left[\n\n{x \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {y \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n\\begin{array}{cc}\n\n{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n& {{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\\\ \n\n{{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n& {{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\end{array}\n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n\\begin{array}{cc}\n\n-{{{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\over {{{{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}\n\n-{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}}}\n\n& {{{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\over {{{{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}\n\n-{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}}}\n\n\\\\ \n\n{{{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\over {{{{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}\n\n-{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}}}\n\n& -{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\over {{{{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}\n\n-{{{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\  {{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}}}}\n\n\\end{array}\n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠3b5a7d03-6e68-4720-ab48-87c475bf9d31︠
eq18a:=[reduce(+,[reduce(+,[reduce(+,[reduce(+,[
 (1/4)*D( K(k,i)*K(m,j)*D( D( K(l,j),C(k) ),C(l) ),C(m) )
   for m in 1..d]) for k in 1..d]) for j in 1..d]) for l in 1..d]) for i in 1..d];
--in the 1-D case
--test(eq18a=Req18a)
#eq18a
sort kernels eq18a.1
# %
︡c37a36ef-39e8-4b10-b382-170ae504264a︡{"md":"\n\n\n\n$$\n\n2 \n\n\n$$\n\n\n\n\n\n$$\n\n\\left[\n\n{{x _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{,2}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{,1}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{,2}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{,1}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{,1}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{,2}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{,1}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{,1}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{,2}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{,1}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{,1}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{,1}{,1}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{,2}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{,1}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{,1}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{,1}{,1}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{{,2}{,2}}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{{,1}{,1}}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{{,1}{,2}}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{{,1}{,1}}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{{,1}{,1}}{,1}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{{,2}{,2}}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{{,1}{,1}}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{{,1}{,2}}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{{,1}{,1}}{,2}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)},\n\n\\: {{y _{{{{{,1}{,1}}{,1}}{,2}}}} \n\n\\left(\n\n{{x _{0}}, \\: {y _{0}}, \\: t} \n\n\\right)}\n\n\\right]\n\n\n$$\n\n\n\n\n\n$$\n\n28 \n\n\n$$\n\n\n\n"}︡
︠ac004b2a-ff02-4178-bf21-e602c18b8f82i︠
%md Note that there are only 28 unique derivatives since:
︡c66a9b97-f9bb-4889-b898-d2cc7c4ca6bc︡{"md":"Note that there are only 28 unique derivatives since:"}︡
︠b0fb16de-3017-4f83-8c1e-ded9b7bce3df︠
test(D(E(1),[C(1),C(2)])=D(E(1),[C(2),C(1)]))
︡fc8ea25a-80dd-4511-8e10-6d7f42594195︡{"md":"\n\n$$\n\ntrue \n\n\n$$\n\n\n\n"}︡
︠909c3b84-4610-4d74-be59-827a7cccdbd9i︠
%md
etc.
︡2fa59a80-dfff-4ce6-8bc3-1508680ff5bb︡{"md":"etc.\n"}︡
︠440c9ed6-9e4c-454d-91cf-0b697b36b053i︠
%md Difference operators
︡a989351d-3cdb-4f45-95d0-330a18dbfcc4︡{"md":"Difference operators"}︡
︠e345f303-b094-4f85-9f46-1a8a6b495d95︠
D_-(x,i)==x-eval(x,ind(i)=ind(i)-1)
D_+(x,i)==eval(x,ind(i)=ind(i)+1)-x
d1:=D_-(kernel(X(1),ind)$Expression Integer,1)
d2:=D_-(d1,1)
d2':=D_-(d1,2)
d3:=D_+(d2,1)
d3':=D_+(d2',1)
D_+(d3,1)
︡ca968e0a-4ab1-4e33-9e37-4550746b5e8f︡{"md":"   Compiled code for D- has been cleared.\n\n   1 old definition(s) deleted for function or rule D- \n\n   Compiled code for D+ has been cleared.\n\n   1 old definition(s) deleted for function or rule D+ \n\n   Compiling function D- with type (Expression(Integer),PositiveInteger) -> Expression(Integer) \n\n\n\n$$\n\n{x _{n, \\: m}} -{x _{{n -1}, \\: m}} \n\n\n$$\n\n\n\n\n\n$$\n\n{x _{n, \\: m}} -{2 \\  {x _{{n -1}, \\: m}}}+{x _{{n -2}, \\: m}} \n\n\n$$\n\n\n\n\n\n$$\n\n{x _{n, \\: m}} -{x _{n, \\: {m -1}}} -{x _{{n -1}, \\: m}}+{x _{{n -1}, \\: {m -1}}} \n\n\n$$\n\n\n\n   Compiling function D+ with type (Expression(Integer),PositiveInteger) -> Expression(Integer) \n\n\n\n$$\n\n{x _{{n+1}, \\: m}} -{3 \\  {x _{n, \\: m}}}+{3 \\  {x _{{n -1}, \\: m}}} -{x _{{n -2}, \\: m}} \n\n\n$$\n\n\n\n\n\n$$\n\n{x _{{n+1}, \\: m}} -{x _{{n+1}, \\: {m -1}}} -{2 \\  {x _{n, \\: m}}}+{2 \\  {x _{n, \\: {m -1}}}}+{x _{{n -1}, \\: m}} -{x _{{n -1}, \\: {m -1}}} \n\n\n$$\n\n\n\n\n\n$$\n\n{x _{{n+2}, \\: m}} -{4 \\  {x _{{n+1}, \\: m}}}+{6 \\  {x _{n, \\: m}}} -{4 \\  {x _{{n -1}, \\: m}}}+{x _{{n -2}, \\: m}} \n\n\n$$\n\n\n\n"}︡
︠04d085b4-dc57-4597-92a3-ced3297f86fa︠
eq18b := eval(eq18a, _
  concat [map(x+->D(x,C(i)),p) for i in 1..d], _
  concat [map(x+->D_-(kernel(x,ind)$Expression Integer,i),X) for i in 1..d]);
kernels eq18b
︡b4a5ddd2-bda0-4761-a326-679440765bc3︡{"md":"\n\n\n\n$$\n\n\\left[\n\n{{x _{{{{{,1}{,1}}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{,1}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{,1}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)},\n\n\\: {x _{n}}, \\: {x _{{n -1}}} \n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠e2a54b4b-57aa-4f90-9998-7ba5cca90acc︠
eq18c := eval(eq18b, _
  concat concat [[map(x+->D(x,[C(i),C(j)]),p) for j in i..d] for i in 1..d], _
  concat concat [[map(x+->D_-(D_-(kernel(x,ind)$Expression Integer,i),j),X) for j in i..d] for i in 1..d]);
kernels eq18c
︡ffb581e2-0530-41cd-a92b-8b11d8e35931︡{"md":"\n\n\n\n$$\n\n\\left[\n\n{{x _{{{{{,1}{,1}}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)},\n\n\\: {{x _{{{{,1}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)},\n\n\\: {x _{n}}, \\: {x _{{n -1}}}, \\: {x _{{n -2}}} \n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠cfa57e95-3c19-4137-9e22-3dc41a873bd3︠
eq18d := eval(eq18c, _
  concat concat concat [[[map(x+->D(x,[C(i),C(j),C(k)]),p) for k in j..d] for j in i..d] for i in 1..d], _
  concat concat concat [[[map(x+->D_+(D_-(D_-(kernel(x,ind)$Expression Integer,i),j),k),X) for k in j..d] for j in i..d] for i in 1..d]);
kernels eq18d
︡648f1dc8-1e42-4092-881d-5fde137410b2︡{"md":"\n\n\n\n$$\n\n\\left[\n\n{{x _{{{{{,1}{,1}}{,1}}{,1}}}} \n\n\\left(\n\n{{x _{0}}, \\: t} \n\n\\right)},\n\n\\: {x _{{n+1}}}, \\: {x _{n}}, \\: {x _{{n -1}}}, \\: {x _{{n -2}}} \n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠a105ebee-68c7-4469-96cd-3a8e1aec0a6e︠
eq18e := eval(eq18d, _
  concat concat concat concat [[[[map(x+->D(x,[C(i),C(j),C(k),C(l)]),p) for l in k..d] for k in j..d] for j in i..d] for i in 1..d], _
  concat concat concat concat [[[[map(x+->D_+(D_+(D_-(D_-(kernel(x,ind)$Expression Integer,i),j),k),l),X) for l in k..d] for k in j..d] for j in i..d] for i in 1..d]);
sort kernels eq18e
︡95bef195-6c5c-460e-8aaf-65451d7c59a5︡{"md":"\n\n\n\n$$\n\n\\left[\n\n{x _{{n -2}}}, \\: {x _{{n -1}}}, \\: {x _{n}}, \\: {x _{{n+1}}}, \\: {x _{{n+2}}} \n\n\\right]\n\n\n$$\n\n\n\n"}︡
︠d4e755bf-004b-4e98-91c7-45b0beb4b0aa︠
# %
︡cbd8bce3-f06c-40a9-909f-a1f50864ca1d︡{"md":"\n\n$$\n\n5 \n\n\n$$\n\n\n\n"}︡
︠d461ce53-9e28-4bb3-b6cb-0f67a88f3233︠
numer eq18e.1
factor denom eq18e.1
︡56e63ad6-2960-41ef-b8a8-d63bbd09c02b︡{"md":"\n\n$$\n\n{{\\left( -{{{x _{n}}} ^{2}}+{2 \\  {x _{{n -1}}} \\  {x _{n}}} -{{{x _{{n -1}}}} ^{2}} \n\n\\right)}\n\n\\  {x _{{n+2}}}}+{{\\left( {{12} \\  {{{x _{n}}} ^{2}}}+{{\\left( -{{32} \\  {x _{{n -1}}}}+{8 \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {x _{n}}}+{{20} \\  {{{x _{{n -1}}}} ^{2}}} -{8 \\  {x _{{n -2}}} \\  {x _{{n -1}}}} \n\n\\right)}\n\n\\  {x _{{n+1}}}} -{{40} \\  {{{x _{n}}} ^{3}}}+{{\\left( {{172} \\  {x _{{n -1}}}} -{{63} \\  {x _{{n -2}}}} \n\n\\right)}\n\n\\  {{{x _{n}}} ^{2}}}+{{\\left( -{{254} \\  {{{x _{{n -1}}}} ^{2}}}+{{194} \\  {x _{{n -2}}} \\  {x _{{n -1}}}} -{{38} \\  {{{x _{{n -2}}}} ^{2}}} \n\n\\right)}\n\n\\  {x _{n}}}+{{132} \\  {{{x _{{n -1}}}} ^{3}}} -{{161} \\  {x _{{n -2}}} \\  {{{x _{{n -1}}}} ^{2}}}+{{68} \\  {{{x _{{n -2}}}} ^{2}} \\  {x _{{n -1}}}} -{{10} \\  {{{x _{{n -2}}}} ^{3}}} \n\n\n$$\n\n\n\n\n\n$$\n\n4 \\  {{{\\left( {x _{n}} -{x _{{n -1}}} \n\n\\right)}}\n\n^{6}} \n\n\n$$\n\n\n\n"}︡
︠87730164-40df-49fd-ba42-d3c2a4c1aab8︠
test(eq18e.1=Req18e.1)
︡2b9b5d1a-2934-458d-b6a8-2119a07a1322︡{"md":"\n\n$$\n\ntrue \n\n\n$$\n\n\n\n"}︡
︠8ae64eda-c9a0-43a6-bd68-7481813fae1e︠









